package com.hzya.frame.sysnew.application.script.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 脚本表(SysApplicationScript)实体类
 *
 * @author makejava
 * @since 2024-06-17 11:07:22
 */
public class SysApplicationScriptEntity extends BaseEntity {
 
  /**  应用id */
   private String appId;
  /**  脚本名称 */
   private String scriptName;
  /**  脚本编号 */
   private String scriptCode;
  /**  脚本版本 */
   private String scriptVersion;
  /**  classname */
   private String className;
  /**  脚本内容 */
   private String scriptData;
  /**  返回脚本内容 */
   private String backScriptData;
  /**  描述 */
   private String scriptRemark;
  /**  发布日期 */
   private Date releaseDate;
  /**  启用停用（1启用2停用） */
   private String scriptStatus;
  /**  公司id */
   private String companyId;


    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getScriptName() {
        return scriptName;
    }

    public void setScriptName(String scriptName) {
        this.scriptName = scriptName;
    }

    public String getScriptCode() {
        return scriptCode;
    }

    public void setScriptCode(String scriptCode) {
        this.scriptCode = scriptCode;
    }

    public String getScriptVersion() {
        return scriptVersion;
    }

    public void setScriptVersion(String scriptVersion) {
        this.scriptVersion = scriptVersion;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getScriptData() {
        return scriptData;
    }

    public void setScriptData(String scriptData) {
        this.scriptData = scriptData;
    }

    public String getScriptRemark() {
        return scriptRemark;
    }

    public void setScriptRemark(String scriptRemark) {
        this.scriptRemark = scriptRemark;
    }

    public Date getReleaseDate() {
        return releaseDate;
    }

    public void setReleaseDate(Date releaseDate) {
        this.releaseDate = releaseDate;
    }

    public String getScriptStatus() {
        return scriptStatus;
    }

    public void setScriptStatus(String scriptStatus) {
        this.scriptStatus = scriptStatus;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getBackScriptData() {
        return backScriptData;
    }

    public void setBackScriptData(String backScriptData) {
        this.backScriptData = backScriptData;
    }
}

